// CHECKOUT PAGE
.checkout-form {
    .legend {
        @extend .bg-blue-dark;
        @extend .section-title;
        @extend .h5;
        @extend .regular;
        @extend .bg-blue-dark;
        @extend .white;
        @extend .text-uppercase;
        @extend .px4;
        @extend .py3;
        @extend .mb4;
        @extend .mt4;
    }
    .text-field,
    .select-field,
    .textarea-field {
        @extend .form-group;
        @extend .clearfix;
        @extend .no-gutter;
    }
    .text-field {
        input {
            @extend .form-control;
            @extend .input-md !optional;
        }
    }
    .textarea-field .textarea {
        @extend .form-control;
        @extend .input-md !optional;
    }
    .select {
        @extend .form-control;
        @extend .form-select;
    }
    label {
        display: inline-block;
        max-width: 100%;
        margin-bottom: 5px;
        @extend .control-label;
        @extend .mt2;
        @extend .ml0;
        @extend .sm-ml3;
        @extend .regular;
    }
    .checkbox {
        @extend .inline-block;
        margin-right: -10px;
    }
    ul {
        list-style: none;
        padding: 0 0 0 15px;
        li {
            padding: 5px 0px;
            img {
                padding: 15px 0;
                max-width: 100%;
            }
        }
    }
    .actions .button {
        @extend .btn;
        @extend .btn-lg;
        @extend .btn-primary;
        @extend .text-uppercase;
        @extend .full-width;
    }
    p.required {
        clear: both;
        padding-top: 20px;
    }
}

// LOGIN PAGE
.login-page {
    label {
        @extend .control-label;
        @extend .block;
        @extend .regular;
    }
    .login-form {
        #customer_email,
        input[type="password"] {
            @extend .form-control;
            @extend .input-md !optional;
            @extend .mb3;
        }
        .button {
            @extend .btn;
            @extend .btn-lg;
            @extend .btn-primary;
            @extend .add-to-cart;
            @extend .ease;
            @extend .text-uppercase;
            @extend .mt3;
            @extend .mb3;
            @extend .full-width;
        }
    }
    .sidebar {
        @extend .np;
        @extend .full-width;
        @extend .float-none;
        .actions {
            text-align: center;
        }
    }
    .error {
        text-align: center;
    }
}

// CUSTOMER DETAILS
.customer_details,
.customer_address {
    & > .container {
        & > .row {
            display: none !important;
        }
        h2 {
            @extend .h4;
            @extend .block;
            @extend .bold;
            @extend .mb4;
            @extend .mt0;
        }
        select {
            @extend .form-control;
            @extend .form-select;
            @extend .mb3;
        }
        .well {
            display: none;
            min-height: 20px;
            padding: 40px 0 20px;
            margin-bottom: 0;
            background-color: transparent;
            border: none;
            border-radius: 0px;
            -webkit-box-shadow: none;
            box-shadow: none;
        }
        label {
            @extend .control-label;
            @extend .block;
            @extend .regular;
        }
        .field input {
            @extend .form-control;
            @extend .input-md !optional;
            @extend .mb3;
        }
        .button {
            @extend .btn;
            @extend .btn-lg;
            @extend .btn-primary;
            @extend .add-to-cart;
            @extend .ease;
            @extend .text-uppercase;
            @extend .mt3;
            @extend .mb3;
            @extend .full-width;
        }
        .sidebar {
            @extend .np;
            @extend .full-width;
            @extend .float-none;
        }
    }
    &.customer-logged-in {
        .gotologin {
            display: none;
        }
    }
}

.cart-coupon {
    // max-width: 380px;
    #coupon_form {
        // background: aqua;
        #coupon_code {
            @extend .form-control;
            @extend .inline-block;
            width: 75%;
            border-radius: 0 0;
            font-size: 1.1rem;
        }
        #set_coupon_code_button {
            @extend .form-control;
            @extend .inline-block;
            width: calc(25% - 5px);
            border-radius: 0 0;
            padding: 0 0;
            vertical-align: top;
            color: #fff;
            background: darken(#EDEDED, 10%);
            border-color: darken(#EDEDED, 10%);
        }
    }
}

iframe#twitter-widget-1 {
    top: 5px;
    position: relative !important;
}

// ESTIMATE SHIPPING IN CART 

#estimate_shipping { 
    .select {
        @extend .form-control;
        @extend .form-select;
    }
    label {
        display: inline-block;
        max-width: 100%;
        margin-bottom: 5px;
        @extend .control-label;
        @extend .mt2;
        @extend .ml0; 
        @extend .regular;
    }
    #estimate_shipping_button {
        @extend .btn; 
        @extend .btn-primary;
        @extend .text-uppercase; 
        @extend .mt3; 
        @extend .py2;
        @extend .px3;   
    }
}